List bank accounts | Moov Documentation
List bank accounts
List all the bank accounts associated with a particular Moov account.
Read our bank accounts guide to learn more.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/bank-accounts.read scope.
GET
/accounts/{accountID}/bank-accounts
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/bank-accounts" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
mc.ListBankAccounts(ctx, accountID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.bankAccounts.list({
accountID: "85539920-22dd-4900-a07e-7a88268456d9",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->bankAccounts->list(
accountID: '85539920-22dd-4900-a07e-7a88268456d9'
);
if ($response->bankAccounts !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListBankAccountsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
ListBankAccountsResponse res = sdk.bankAccounts().list()
.accountID("85539920-22dd-4900-a07e-7a88268456d9")
.call();
if (res.bankAccounts().isPresent()) {
System.out.println(res.bankAccounts().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.bank_accounts.list(account_id="85539920-22dd-4900-a07e-7a88268456d9")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.bank_accounts.list(account_id: '85539920-22dd-4900-a07e-7a88268456d9')
unless res.bank_accounts.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.BankAccounts.ListAsync(accountID: "85539920-22dd-4900-a07e-7a88268456d9");
// handle response
The request completed successfully.
Ask
Example
[\
{\
"bankAccountID": "833fa3ef-14d3-4c97-ba45-6af66f739832",\
"fingerprint": "dd4cbfe5fbaf47b392770b5b595bec604fd99394749b7d017153e2b9cfbea40e",\
"status": "new",\
"holderName": "John Doe",\
"holderType": "individual",\
"bankName": "Gringotts Bank",\
"bankAccountType": "checking",\
"routingNumber": "123456780",\
"lastFourAccountNumber": "6789",\
"updatedOn": "2024-11-26T22:37:06Z",\
"statusReason": "bank-account-created"\
}\
]
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
The bank account type.
Possible values:
checking,
savings,
general-ledger,
loan
Reason for, and details related to, an errored or verificationFailed bank account status.
Show child attributes
Details related to an errored or verificationFailed bank account status.
The return code of an ACH transaction that caused the bank account status to change.
- R02: Account Closed
- R03: No Account/Unable to Locate Account
- R04: Invalid Account Number
- R05: Improper Debit to Consumer Account
- R07: Authorization Revoked by Customer
- R08: Payment Stopped
- R10: Customer Advises Originator is Not Known or Authorized to Receiver
- R11: Customer Advises Entry Not in Accordance with the Terms of the Authorization
- R12: Branch Sold to Another DFI
- R13: RDFI not qualified to participate
- R14: Representative payee deceased or unable to continue in that capacity
- R15: Beneficiary or bank account holder
- R16: Bank account frozen
- R17: Entry with Invalid Account Number Initiated Under Questionable Circumstances
- R20: Non-payment bank account
- R23: Credit entry refused by receiver
- R29: Corporate customer advises not authorized
- R34: Limited participation RDFI
- R38: Stop Payment on Source Document (Adjustment Entry)
- R39: Improper Source Document
Possible values:
R02,
R03,
R04,
R05,
R07,
R08,
R10,
R11,
R12,
R13,
R14,
R15,
R16,
R17,
R20,
R23,
R29,
R34,
R38,
R39
The rejection code of a FedNow transaction that caused the bank account status to change.
- AC02: Debtor account is invalid
- AC03: Creditor account is invalid
- AC04: Account closed
- AC06: Account is blocked
- AC07: Creditor account closed
- AC10: Debtor account currency is invalid or missing
- AC11: Creditor account currency is invalid or missing
- AC13: Debtor account type missing or invalid
- AC14: Creditor account type missing or invalid
- AG01: Transaction is forbidden on this type of account
- AG03: Transaction type is not supported/authorized on this account
- BE06: End customer specified is not known at associated Sort/National Bank Code or no longer exists in the books
- DUPL: Payment is a duplicate of another payment
- MD07: End customer is deceased
- NOAT: Receiving customer account does not support/accept this message type
- RC02: Bank identifier is invalid or missing
- RC03: Debtor FI identifier is invalid or missing
- RC04: Creditor FI identifier is invalid or missing
The rejection code of an RTP transaction that caused the bank account status to change.
- AC03: Account Invalid
- AC04: Account Closed
- AC06: Account Blocked
- AC14: Creditor Account Type Invalid
- AG01: Transactions Forbidden On Account
- AG03: Transaction Type Not Supported
- MD07: Customer Deceased
Possible values:
AC03,
AC04,
AC06,
AC14,
AG01,
AG03,
MD07
Once the bank account is linked, we don't reveal the full bank account number.
The fingerprint acts as a way to identify whether two linked bank accounts are the same.
The type of holder on a funding source.
Possible values:
individual,
business,
guest
Includes any payment methods generated for a newly created bank account, removing the need to call the List Payment Methods endpoint following a successful Create BankAccount request.
NOTE: This field is only populated for Create BankAccount requests made with the X-Wait-For header.
Show child attributes
ID of the payment method.
The payment method type that represents a payment rail and directionality
Possible values:
moov-wallet,
ach-debit-fund,
ach-debit-collect,
ach-credit-standard,
ach-credit-same-day,
rtp-credit,
card-payment,
push-to-card,
pull-from-card,
apple-pay,
card-present-payment,
instant-bank-credit,
push-to-apple-pay,
pull-from-apple-pay,
google-pay,
push-to-google-pay,
pull-from-google-pay
Possible values:
new,
verified,
verificationFailed,
pending,
errored
The reason the bank account status changed to the current value.
Possible values:
bank-account-created,
verification-initiated,
micro-deposit-attempts-exceeded,
micro-deposit-expired,
max-verification-failures,
verification-attempts-exceeded,
verification-expired,
verification-successful,
ach-debit-return,
ach-credit-return,
rtp-credit-failure,
fednow-credit-failure,
micro-deposit-return,
admin-action,
other